Subject: Re: bug#45901: GNOME Fonts takes about 20 seconds to display fonts

From: Christopher Baines <[email-masked]>
Date: Sat, 16 Jan 2021 15:52:20 +0000

Luis Felipe <[email-masked]> writes:

> On Saturday, January 16, 2021 11:18 AM, Christopher Baines <[email-masked]> wrote:
>
>> Hey,
>>
>> I've just pushed the fix I worked on for thumbnails [1].
>>
>> 1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=540893a8ccef41436a1c00ae268f74219f9ab220
>>
>> Could you guix pull, guix upgrade gnome-font-viewer, remove
>> ~/.cache/thumbnails/fail/ and then re-test?
>
> I just upgraded and thumbnails seem to be mostly fixed. That is, most
> of the thumbnails are displayed correctly. Some fonts have no
> thumbnail at all (Noto fonts like Noto Sans Armenian, Noto Sans Batak,
> Noto Sans Bengali, ...). And Source Han fonts have a placeholder icon
> (a blue, lowercase "a" in a white sheet).

That's good, I wonder if there are corner cases with the thumbnail
generation that still need addressing.

> The slowness issue seems to be a bug in GNOME Fonts
> (https://gitlab.gnome.org/GNOME/gnome-font-viewer/-/issues/30).
>
> What should we do with this bug report? Close it or leave it open
> until it is fixed upstream (I'd prefer the latter)?

Sure, it's up to you.